<ngx-alerts></ngx-alerts>
<div class="col-12">
  <button (click)="openModalChangePhoto(modalChangePhoto)" class="btn btn-success">{{'home.changePhoto' | translate}}
  </button>
</div>
<ng-template style="min-width: 1000px !important" #modalChangePhoto let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 lyTyp="display1">{{'home.changePhoto' | translate}}</h4>
    <button type="button" class="close" aria-label="Close" (click)="d('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body" style="margin-right: 5px; margin-left: 5px;">
    <div style="display: flex; justify-content: space-between ">
      <button raised ly-button bg="primary" style="margin-left: 10px;" (click)="_fileInput.click()"
        class="btn btn-info">
        <span>{{'resizing.selectFile' | translate}}</span>
      </button>
      <!-- Hidden input -->
      <input #_fileInput type="file" (change)="cropping.selectInputEvent($event)" accept="image/*" hidden>
    </div>
    <div class="container">
      <div class="row" *ngIf="cropping.isLoaded" style="margin-top: 10px; margin-bottom: 10px;">
        <button (click)="cropping.rotate(90)" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" type="button"
          data-toggle="tooltip" data-placement="top" title="{{'resizing.rotate' | translate}}"><i class="fa fa-repeat"
            aria-hidden="true"></i></button>
        <button (click)="cropping.zoomIn()" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" type="button"
          data-toggle="tooltip" data-placement="top" title="{{'resizing.zoomIn' | translate}}" appearance="icon">
          <i class="fa fa-search-plus" aria-hidden="true"></i>
        </button>
        <button (click)="cropping.zoomOut()" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" type="button"
          data-toggle="tooltip" data-placement="top" title="{{'resizing.zoomOut' | translate}}" appearance="icon">
          <i class="fa fa-search-minus" aria-hidden="true"></i>
        </button>
        <button (click)="cropping.center()" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" type="button"
          data-toggle="tooltip" data-placement="top" title="{{'resizing.center' | translate}}"><i
            class="fa fa-plus-square-o" aria-hidden="true"></i></button>
        <button (click)="cropping.fit()" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" data-toggle="tooltip"
          data-placement="top" title="{{'resizing.fit' | translate}}"><i class="fa fa-arrows-alt"
            aria-hidden="true"></i></button>
        <button (click)="cropping.fitToScreen()" class="btn btn-light col-xs-4 col-sm-4 col-md-4 col-lg-4"
          ly-button>{{'resizing.fitScreen' | translate}}</button>
        <button (click)="cropping.setScale(1)" class="btn btn-light col-xs-3 col-sm-1 col-md-1 col-lg-1" type="button"
          data-toggle="tooltip" data-placement="top" title="{{'resizing.oneByOne' | translate}}">1:1</button>
        <button *ngIf="cropping.isLoaded" color="accent" class="btn btn-success col-xs-2 col-sm-2 col-md-2 col-lg-2"
          (click)="cropping.crop()" ly-button>{{'resizing.crop' | translate}}</button>
      </div>
    </div>
    <ly-cropping #cropping style="max-width:400px; height: 300px; margin-left: 30px;" [config]="myConfig"
      [(scale)]="scale" (cropped)="onCrop($event)">
      <span>{{'resizing.dragDrop' | translate}}</span>
    </ly-cropping>

    <!-- input range -->
    <div *ngIf="cropping.isLoaded" [className]="classes.range" style="margin-left: 50px;">
      <input type="range" [className]="classes.rangeInput" [attr.min]="cropping.minScale" max="1" [(ngModel)]="scale"
        step="any">
    </div>

    <div>

      <img *ngIf="cropping.isCropped" [src]="croppedImg"
        style="width: 150px; height: 150px; margin-left: 170px; margin-bottom: 5px;">
    </div>
  </div>
  <div class="modal-footer">
    <button raised style="margin-right: 10px" bg="accent" *ngIf="cropping.isCropped" (click)="click()"
      class="btn btn-success">{{'resizing.save' | translate}}</button>
    <button type="button" class="btn btn-warning" (click)="c('Close click')">{{ 'buttons.cancel' | translate }}</button>
  </div>
</ng-template>